Wind River Support Network

HomeDefectsLIN7-5188
Fixed

LIN7-5188 : Security Advisory - gcc - CVE-2015-5276

Created: Nov 29, 2015    Updated: Sep 8, 2018
Resolved Date: Dec 6, 2015
Found In Version: 7.0.0.11
Fix Version: 7.0.0.12
Severity: Standard
Applicable for: Wind River Linux 7
Component/s: Toolchain

Description

The std::random_device class in libstdc++ in the GNU Compiler Collection (aka GCC) before 4.9.4 does not properly handle short reads from blocking sources, which makes it easier for context-dependent attackers to predict the random values via unspecified vectors.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-5276

Workaround

Apply the attached patch to wr-sdk-toolchain layers, and 

echo 'USE_SDK_GCC = "0"' >> local.conf 

to build gcc components from source.

Other Downloads


CVEs


Live chat
Online